Update a group of tickets
curl --request POST \
--url https://api.hubapi.com/crm-objects/v1/objects/tickets/batch-update[
{
"objectId": 176602,
"properties": [
{
"name": "status",
"value": "CLOSED"
},
{
"name": "content",
"value": "This is now an updated ticket marked as closed."
}
]
},
{
"objectId": 178218,
"properties": [
{
"name": "status",
"value": "IN_PROGRESS"
},
{
"name": "content",
"value": "This is another updated ticket marked as in progress."
}
]
},
{
"versions": [
{
"name": "content",
"value": "This is now an updated ticket marked as closed.",
"timestamp": 1522872562016,
"source": "API",
"sourceVid": []
}
],
"value": "This is now an updated ticket marked as closed.",
"timestamp": 1522872562016,
"source": "API",
"sourceId": null
},
{
"versions": [
{
"name": "status",
"value": "CLOSED",
"timestamp": 1522870759430,
"source": "API",
"sourceVid": []
}
],
"value": "CLOSED",
"timestamp": 1522870759430,
"source": "API",
"sourceId": null
},
{
"versions": [
{
"name": "hs_lastmodifieddate",
"value": "0",
"timestamp": 0,
"source": "CALCULATED",
"sourceVid": []
}
],
"value": "0",
"timestamp": 0,
"source": "CALCULATED",
"sourceId": null
},
{
"versions": [
{
"name": "content",
"value": "This is another updated ticket marked as in progress.",
"timestamp": 1522876779774,
"source": "API",
"sourceVid": []
}
],
"value": "This is another updated ticket marked as in progress.",
"timestamp": 1522876779774,
"source": "API",
"sourceId": null
},
{
"versions": [
{
"name": "status",
"value": "IN_PROGRESS",
"timestamp": 1522876779774,
"source": "API",
"sourceVid": []
},
{
"name": "status",
"value": "OPEN",
"timestamp": 1522870759430,
"source": "API",
"sourceVid": []
}
],
"value": "IN_PROGRESS",
"timestamp": 1522876779774,
"source": "API",
"sourceId": null
}
]v1
Update a group of tickets
Update an existing ticket by its ID. The request body must be a list of properties you want to update, with each entry including the internal name of the property you want to update, and the new value for that property. See the example for details.
POST
/
crm-objects
/
v1
/
objects
/
tickets
/
batch-update
Update a group of tickets
curl --request POST \
--url https://api.hubapi.com/crm-objects/v1/objects/tickets/batch-update[
{
"objectId": 176602,
"properties": [
{
"name": "status",
"value": "CLOSED"
},
{
"name": "content",
"value": "This is now an updated ticket marked as closed."
}
]
},
{
"objectId": 178218,
"properties": [
{
"name": "status",
"value": "IN_PROGRESS"
},
{
"name": "content",
"value": "This is another updated ticket marked as in progress."
}
]
},
{
"versions": [
{
"name": "content",
"value": "This is now an updated ticket marked as closed.",
"timestamp": 1522872562016,
"source": "API",
"sourceVid": []
}
],
"value": "This is now an updated ticket marked as closed.",
"timestamp": 1522872562016,
"source": "API",
"sourceId": null
},
{
"versions": [
{
"name": "status",
"value": "CLOSED",
"timestamp": 1522870759430,
"source": "API",
"sourceVid": []
}
],
"value": "CLOSED",
"timestamp": 1522870759430,
"source": "API",
"sourceId": null
},
{
"versions": [
{
"name": "hs_lastmodifieddate",
"value": "0",
"timestamp": 0,
"source": "CALCULATED",
"sourceVid": []
}
],
"value": "0",
"timestamp": 0,
"source": "CALCULATED",
"sourceId": null
},
{
"versions": [
{
"name": "content",
"value": "This is another updated ticket marked as in progress.",
"timestamp": 1522876779774,
"source": "API",
"sourceVid": []
}
],
"value": "This is another updated ticket marked as in progress.",
"timestamp": 1522876779774,
"source": "API",
"sourceId": null
},
{
"versions": [
{
"name": "status",
"value": "IN_PROGRESS",
"timestamp": 1522876779774,
"source": "API",
"sourceVid": []
},
{
"name": "status",
"value": "OPEN",
"timestamp": 1522870759430,
"source": "API",
"sourceVid": []
}
],
"value": "IN_PROGRESS",
"timestamp": 1522876779774,
"source": "API",
"sourceId": null
}
]Scope requirements
Scope requirements
Réponse
200 - application/json
Successful response - Update an existing ticket by its ID
The response is of type object.
Last modified on April 2, 2026
⌘I